Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class Abbreviator

    java.lang.Object
      org.exist.client.xacml.Abbreviator

public class Abbreviator
extends java.lang.Object

Abbreviates the constants used in XACML to something shorter and hopefully more user-friendly. The getFullXXX methods should generally only be called with an argument obtained as the result of the corresponding getAbbreviatedXXX method.

Constructor Summary
`Abbreviator()`

Method Summary
`java.lang.String` | `getAbbreviatedCombiningID(java.net.URI uri)`
`java.lang.String` | `getAbbreviatedFunctionId(java.net.URI functionId)`
`java.lang.String` | `getAbbreviatedId(java.net.URI uri)`
`java.lang.String` | `getAbbreviatedTargetFunctionId(java.net.URI functionId, java.net.URI dataType)`
`java.util.Set` | `getAbbreviatedTargetFunctions(java.net.URI dataType)`
`java.lang.String` | `getAbbreviatedType(java.net.URI type)`
`java.net.URI` | `getFullCombiningURI(java.lang.String abbrev, boolean isRuleAlg)`
`java.net.URI` | `getFullFunctionId(java.lang.String abbrev, java.net.URI dataType)`
`java.net.URI` | `getFullIdURI(java.lang.String abbrev)`
`java.net.URI` | `getFullTypeURI(java.lang.String abbrev)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Abbreviator

    public Abbreviator()

Method Detail

### getAbbreviatedId

    public java.lang.String getAbbreviatedId(java.net.URI uri)

### getFullIdURI

    public java.net.URI getFullIdURI(java.lang.String abbrev)

### getAbbreviatedType

    public java.lang.String getAbbreviatedType(java.net.URI type)

### getFullTypeURI

    public java.net.URI getFullTypeURI(java.lang.String abbrev)

### getAbbreviatedCombiningID

    public java.lang.String getAbbreviatedCombiningID(java.net.URI uri)

### getFullCombiningURI

    public java.net.URI getFullCombiningURI(java.lang.String abbrev,
                                            boolean isRuleAlg)

### getAbbreviatedFunctionId

    public java.lang.String getAbbreviatedFunctionId(java.net.URI functionId)

### getFullFunctionId

    public java.net.URI getFullFunctionId(java.lang.String abbrev,
                                          java.net.URI dataType)

### getAbbreviatedTargetFunctions

    public java.util.Set getAbbreviatedTargetFunctions(java.net.URI dataType)

### getAbbreviatedTargetFunctionId

    public java.lang.String getAbbreviatedTargetFunctionId(java.net.URI functionId,
                                                           java.net.URI dataType)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.